%define name lvm
%define version 0.9
%define release 1mdk

%define _sbindir /sbin
%define _libdir /lib

Summary: Logical Volume Manager administration tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://linux.msede.com/lvm/current/%{name}_%{version}.tar.bz2
Patch0: lvm-0.9-install.patch.bz2
Patch1: lvm-0.9-broken.patch.bz2
Copyright: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://lvm.msede.com/lvm/

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical partitions)
in volume groups.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n LVM

%patch0 -p1
%patch1 -p1

%build
cd %{version}
%configure
%make

%install
cd %{version}
%makeinstall
if [ -d $RPM_BUILD_ROOT/usr/sbin ]; then
  mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/sbin
fi

if [ -d $RPM_BUILD_ROOT/usr/lib ]; then
  mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/lib
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_libdir}/*.so
%{_mandir}/man8/*
%doc %{version}/ABSTRACT %{version}/CHANGELOG %{version}/CONTRIBUTORS %{version}/COPYING
%doc %{version}/COPYING.LIB %{version}/FAQ %{version}/LVM-HOWTO %{version}/README
%doc %{version}/TODO %{version}/WHATSNEW

%changelog
* Thu Mar  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9-1mdk
- 0.9

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8final-0.2mdk 
- used srpm from Jan Niehusmann <jan@gondor.com> :
	- merged patches from Andreas Dilger <adilger@turbolinux.com> 

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8final-0.1mdk
- clean files section
- used srpm from Jan Niehusmann <jan@gondor.com>
	- First lvm rpm for Mandrake distribution.

